#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.27.10
%define		qtver		5.15.2
%define		kpname		kmenuedit

Summary:	KDE menu editor
Name:		kp5-%{kpname}
Version:	5.27.10
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	e98c999e6ee7f9bbe775d4e512368420
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-sonnet-devel
BuildRequires:	kp5-khotkeys-devel >= %{kdeplasmaver}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDE Plasma menu editor.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmenuedit
%{_desktopdir}/org.kde.kmenuedit.desktop
%{_iconsdir}/hicolor/*/apps/kmenuedit.png
%{_datadir}/kmenuedit
%{_datadir}/kxmlgui5/kmenuedit
%{_datadir}/qlogging-categories5/kmenuedit.categories
%attr(755,root,root) %{_libdir}/kconf_update_bin/kmenuedit_globalaccel
%{_datadir}/metainfo/org.kde.kmenuedit.appdata.xml
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kmenuedit.git;a=log;h=master

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> fc16a45
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7cb565e
- updated to 5.27.9

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> dedf35b
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 53ef9b7
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 62f7212
- updated to 5.27.6

* Mon Jun 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3b3b029
- rebuild against QT 5.15.10

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> be948f1
- updated to 5.27.5

* Mon Apr 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3a94209
- relup

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 10a0903
- rebuild against QT 5.15.9

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 040ec9c
- updated to 5.27.4

* Wed Mar 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d8e7cad
- updated to 5.27.3

* Wed Mar 01 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 46cf3c1
- updated to 5.27.2

* Wed Feb 22 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2f2270e
- updated to 5.27.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 54e9571
- updated to 5.27.0

* Wed Jan 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7ae16de
- updated to 5.26.5

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 711d23c
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0027632
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8de5f78
- updated to 5.26.2

* Thu Oct 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 228a15b
- relup

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 685b375
- updated to 5.26.1

